package com.th.demo.mapping.system;

import com.th.demo.model.system.SysPost;

import java.util.List;

public interface SysPostMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysPost record);

    int insertSelective(SysPost record);

    SysPost selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysPost record);

    int updateByPrimaryKey(SysPost record);

    List<SysPost> selectAll();

    List<SysPost> selectByUserId(String userId);


    List<SysPost> select(String postName);
}